/* In questo file vanno aggiunte due tipologie di classi:
1. per il corretto funzioamento del template "Hope UI" che, per qualche oscuro motivo, gli autori del template non hanno incluso nel file hope-ui.min.css 
2. customizzazioni e override delle classi del template "Hope UI" 
*/
.albero-filtraggo-item {
  min-width: 10rem;
}
.alert-accordion {
  cursor: pointer;
}
.alert-accordion .alert-accordion-button {
  position: absolute;
  right: 0;
  background-repeat: no-repeat;
  background-position: center;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000000'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
  width: 1.5rem;
  height: 1.5rem;
}
.alert-accordion:not(.collapsed) .alert-accordion-button {
  transform: rotate(-180deg);
}
.bd-aside {
  grid-area: 1;
  scroll-margin-top: 4rem;
}
.bd-aside.sticky-xl-top {
  top: 2rem !important;
}
.bd-aside.card.iq-document-card {
  padding: calc(1.5rem);
}
.btn-100 {
  min-width: 8rem;
}
.btn-si-no,
.btn-si-no-scelta-azione,
.btn-si-no-scelta-azione:hover,
.btn-si-no-scelta-azione:focus {
  background-color: #fff;
  border: 1px solid #eee;
  color: #6c757d;
}
.btn-xs {
  padding: 0.25rem 0.4rem;
  font-size: 0.75rem;
  line-height: 1.2;
  border-radius: 0.2rem;
}
.card.card-sm {
  margin-bottom: calc(1.5rem);
}
.card.card-sm .card-body {
  padding: 1rem;
}
.card.card-sm .card-header {
  padding: 1rem 1rem 0px 1rem;
}
.card-square {
  aspect-ratio: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}
.content-inner-small {
  padding: -webkit-calc(var(--bs-gutter-x, 0.75rem)*2);
  padding: calc(var(--bs-gutter-x, 0.75rem)*2);
}
.dettaglio-toggle-right {
  position: absolute;
  top: 16px;
  cursor: pointer;
  background: var(--bs-primary);
  color: #fff;
  padding: 0.2rem;
  border-radius: 50rem;
  right: -12px;
}
.dettaglio-toggle-right .icon {
  display: flex;
  transition: all;
}
.dettaglio-toggle-left {
  position: absolute;
  top: 16px;
  cursor: pointer;
  background: var(--bs-primary);
  color: #fff;
  padding: 0.2rem;
  border-radius: 50rem;
  left: -12px;
}
.dettaglio-toggle-left .icon {
  display: flex;
  transition: all;
}
.dettaglio-toggle-left .icon {
  transform: rotate(180deg);
}
.form-control::placeholder {
  overflow: hidden;
  text-overflow: ellipsis;
}
.form-group.in-scelta-azione {
  margin-bottom: 0px;
}
.form-select {
  border-radius: 0.25rem;
}
.gradient-main {
  height: 100%;
  width: 100%;
  object-fit: cover;
}
.iq-navbar {
  z-index: 1021;
}
.login-right-content {
  position: relative;
  background-image: url('../img/hope/01.png');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  z-index: 1;
}
/* Assicura che il contenuto sia sopra l'immagine */
.login-right-content > * {
  position: relative;
  z-index: 1;
}
.login-right-content::before {
  content: "";
  position: absolute;
  inset: 0;
  background-color: rgba(255, 255, 255, 0.8);
  z-index: 0;
}
.login-logo {
  width: 100%;
  height: 100%;
  object-fit: contain;
  /* Scala per far entrare tutta l’immagine */
  object-position: center;
  display: block;
}
.main-content > .conatiner-fluid.content-inner:first-child,
.main-content > .conatiner-fluid.content-inner-small:first-child {
  padding: 0px !important;
}
.middle {
  display: inline !important;
}
.middle .mid-menu {
  position: absolute;
  /*top: 9.375rem;*/
  left: 0rem;
  z-index: 999;
  text-align: center;
  cursor: pointer;
  background: var(--bs-primary);
  color: #fff;
  padding: 0.2rem;
  border-radius: 0 1rem 1rem 0;
}
.nav-link img,
svg {
  vertical-align: text-bottom;
}
.nav-link.nav-link-alt-colors.active {
  background: var(--bs-primary-tint-90);
  color: var(--bs-primary);
  isolation: isolate;
}
/*Fix Flatpicker*/
.flatpickr-current-month input.cur-year {
  padding-right: 1rem !important;
}
.sidebar {
  z-index: 1022;
}
.sidebar.sidebar-default .nav-link:not(.static-item)[aria-expanded=true] {
  background: var(--bs-primary-tint-90);
  color: var(--bs-primary);
}
.sidebar-footer div {
  display: inline-block;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 100%;
  line-height: 1rem;
  color: var(--bs-body-color);
}
.sidebar.sidebar-mini.sidebar-base:not(.sidebar-hover:hover) .sidebar-footer div {
  -webkit-transition: background-color 400ms ease-in-out, color 400ms ease-in-out, opacity 400ms ease-in-out, -webkit-border-radius 400ms ease-in-out, -webkit-transform 400ms ease-in-out;
  transition: background-color 400ms ease-in-out, color 400ms ease-in-out, opacity 400ms ease-in-out, -webkit-border-radius 400ms ease-in-out, -webkit-transform 400ms ease-in-out;
  -o-transition: background-color 400ms ease-in-out, color 400ms ease-in-out, border-radius 400ms ease-in-out, transform 400ms ease-in-out, opacity 400ms ease-in-out;
  transition: background-color 400ms ease-in-out, color 400ms ease-in-out, border-radius 400ms ease-in-out, transform 400ms ease-in-out, opacity 400ms ease-in-out;
  transition: background-color 400ms ease-in-out, color 400ms ease-in-out, border-radius 400ms ease-in-out, transform 400ms ease-in-out, opacity 400ms ease-in-out, -webkit-border-radius 400ms ease-in-out, -webkit-transform 400ms ease-in-out;
  -webkit-transform: translateX(-100%) scale(0);
  -ms-transform: translateX(-100%) scale(0);
  transform: translateX(-100%) scale(0);
  opacity: 0;
}
.pagination-sm > li > a {
  cursor: pointer;
  position: relative;
  display: block;
  padding: var(--bs-pagination-padding-y) var(--bs-pagination-padding-x);
  font-size: var(--bs-pagination-font-size);
  color: var(--bs-pagination-color);
  background-color: var(--bs-pagination-bg);
  border: var(--bs-pagination-border-width) solid var(--bs-pagination-border-color);
  margin-left: -1px;
  -webkit-transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
  -o-transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
}
.pagination > .active > a {
  z-index: 3;
  color: var(--bs-pagination-active-color);
  background-color: var(--bs-pagination-active-bg);
  border-color: var(--bs-pagination-active-border-color);
}
.pagination > li:not(.disabled):not(.active) > a:hover {
  z-index: 3;
  color: var(--bs-pagination-hover-color);
  background-color: var(--bs-pagination-hover-bg);
  border-color: var(--bs-pagination-hover-border-color);
}
.pagination > .disabled > a {
  cursor: default;
  color: var(--bs-btn-disabled-color);
}
.pagination-first {
  -webkit-border-top-left-radius: var(--bs-pagination-border-radius);
  border-top-left-radius: var(--bs-pagination-border-radius);
  -webkit-border-bottom-left-radius: var(--bs-pagination-border-radius);
  border-bottom-left-radius: var(--bs-pagination-border-radius);
}
.pagination-last {
  -webkit-border-top-right-radius: var(--bs-pagination-border-radius);
  border-top-right-radius: var(--bs-pagination-border-radius);
  -webkit-border-bottom-right-radius: var(--bs-pagination-border-radius);
  border-bottom-right-radius: var(--bs-pagination-border-radius);
}
.sidebar .sidebar-header {
  height: 63px;
}
.sidebar:empty + .main-content {
  margin-left: 0;
}
.spinner-border.spinner-border-sm {
  width: 1rem;
  height: 1rem;
}
.spinner-border.spinner-border-xl {
  width: 5rem;
  height: 5rem;
  border-width: 0.5rem;
}
.spinner-loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(255, 255, 255, 0.7);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 99999;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.2s ease;
  transition-delay: 0.5s;
}
.spinner-content {
  text-align: center;
}
body.wait .spinner-loader {
  opacity: 1;
  pointer-events: all;
}
/* Login - Start */
.sign-bg {
  position: absolute;
  left: 0;
  top: 0;
  opacity: 0.1;
}
.sticky-xl-top {
  z-index: 2;
}
@media screen and (min-width: 1400px) {
  .auth-card {
    padding: 0 6.25rem;
  }
}
@media screen and (max-width: 576px) {
  .login-header {
    height: 12.5rem !important;
  }
  .login-bottom {
    margin-top: -6.25rem;
  }
}
/* Login - End */
/* Side menu */
.sidebar.navs-pill .sidebar-body .nav-item {
  padding: 0;
}
.sidebar.navs-pill .sidebar-body .nav-item.static-item {
  padding: 0;
}
.sidebar.navs-pill .sidebar-body .nav-item .nav-link {
  padding: 0.5rem 1.125rem;
  border-top-right-radius: 50rem !important;
  border-bottom-right-radius: 50rem !important;
}
/* Side menu - End */
.table-fixed {
  table-layout: fixed;
  width: 100%;
}
table.dataTable thead > tr > td.sorting.in-scelta-azione:after,
table.dataTable thead > tr > td.sorting.in-scelta-azione:before,
table.dataTable thead > tr > td.sorting_asc.in-scelta-azione:after,
table.dataTable thead > tr > td.sorting_asc.in-scelta-azione:before,
table.dataTable thead > tr > td.sorting_asc_disabled.in-scelta-azione:after,
table.dataTable thead > tr > td.sorting_asc_disabled.in-scelta-azione:before,
table.dataTable thead > tr > td.sorting_desc.in-scelta-azione:after,
table.dataTable thead > tr > td.sorting_desc.in-scelta-azione:before,
table.dataTable thead > tr > td.sorting_desc_disabled.in-scelta-azione:after,
table.dataTable thead > tr > td.sorting_desc_disabled.in-scelta-azione:before,
table.dataTable thead > tr > th.sorting.in-scelta-azione:after,
table.dataTable thead > tr > th.sorting.in-scelta-azione:before,
table.dataTable thead > tr > th.sorting_asc.in-scelta-azione:after,
table.dataTable thead > tr > th.sorting_asc.in-scelta-azione:before,
table.dataTable thead > tr > th.sorting_asc_disabled.in-scelta-azione:after,
table.dataTable thead > tr > th.sorting_asc_disabled.in-scelta-azione:before,
table.dataTable thead > tr > th.sorting_desc.in-scelta-azione:after,
table.dataTable thead > tr > th.sorting_desc.in-scelta-azione:before,
table.dataTable thead > tr > th.sorting_desc_disabled.in-scelta-azione:after,
table.dataTable thead > tr > th.sorting_desc_disabled.in-scelta-azione:before {
  right: 5px;
}
.header-si-no label {
  text-overflow: ellipsis;
  overflow: hidden;
  font-size: 0.875rem;
  color: #6c757d;
}
/* Colori - DA GESTIRE CON IL less come varianti del primary*/
:root {
  --bs-heading-color: #0c112e;
  --bs-primary: #3a57e8;
  --bs-primary-shade-80: #0c112e;
  --bs-primary-shade-60: #17235d;
  --bs-primary-shade-40: #23348b;
  --bs-primary-shade-20: #2e46ba;
  --bs-primary-tint-90: #ebeefd;
  --bs-primary-tint-80: #d8ddfa;
  --bs-primary-tint-60: #b0bcf6;
  --bs-primary-tint-40: #899af1;
  --bs-primary-tint-20: #6179ed;
  --bs-primary-rgb: 58, 87, 232;
  --bs-heading-color: #011f20;
  --bs-info: #079aa2;
  --bs-info-shade-80: #011f20;
  --bs-info-shade-60: #033e41;
  --bs-info-shade-40: #045c61;
  --bs-info-shade-20: #067b82;
  --bs-info-tint-90: #e6f5f6;
  --bs-info-tint-80: #cdebec;
  --bs-info-tint-60: #9cd7da;
  --bs-info-tint-40: #6ac2c7;
  --bs-info-tint-20: #39aeb5;
  --bs-info-rgb: 7, 154, 162;
  --bs-primary-subtle: var(--bs-primary);
  --bs-primary-bg-subtle: var(--bs-primary-tint-80);
}
.table {
  --bs-table-active-color: white;
  --bs-table-active-bg: #3a57e8;
}
.table-active .btn-primary {
  --bs-btn-bg: var(--bs-primary-bg-subtle);
  --bs-btn-border-color: var(--bs-primary-bg-subtle);
  --bs-btn-hover-color: white;
  --bs-btn-hover-bg: var(--bs-primary-shade-20);
  --bs-btn-color: var(--bs-primary-subtle);
}
.table tbody tr.table-active td {
  color: var(--bs-table-active-color);
}
.was-validated .form-control:valid:focus,
.form-control.is-valid:focus {
  border-color: inherit;
  background-image: inherit;
}
.was-validated .form-control:valid,
.form-control.is-valid {
  border-color: inherit;
  background-image: inherit;
}
.has-error.was-validated .form-control:not(.btn-si-no) {
  border-color: red;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23c03221'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23c03221' stroke='none'/%3e%3c/svg%3e");
}
.has-error.was-validated .form-control.btn-si-no {
  border-color: red;
}
.has-error.was-validated .invalid-feedback:not(:empty) {
  display: block;
}
.file-drop-container {
  position: relative;
  margin: 10px 0;
}
.file-drop-zone {
  border: 1px dashed var(--bs-primary);
  border-radius: 0.25rem;
  padding: 20px;
  text-align: center;
  cursor: pointer;
  background-color: #fff;
  transition: border-color 0.3s, background-color 0.3s;
}
.file-drop-zone.drag-over {
  background-color: #dee2e6;
}
.nessun-risultato {
  margin-left: 4rem;
  white-space: nowrap;
  user-select: none;
}
.search-navbar {
  padding-left: 1rem;
  padding-right: 1rem;
  display: flex;
  flex-wrap: nowrap;
  overflow: hidden;
  min-height: 35px;
}
.search-navbar.input-group .input-group-text {
  padding-right: 0;
}
.search-navbar.input-group .form-control {
  border-left: 0;
  display: flex;
}
.search-navbar.input-group .form-control:focus {
  box-shadow: unset;
  border-color: var(--bs-primary);
}
.search-navbar.input-group:focus-within .input-group-text,
.search-navbar.input-group:focus-within .form-control {
  border-color: var(--bs-primary);
}
.sidebar.sidebar-mini.sidebar-base:not(.sidebar-hover:hover) .nav-item .nav-link {
  padding: 0.5rem 1.125rem;
}
.sidebar-base .nav-item:not(.static-item) {
  padding-left: 0.8rem;
}
.sidebar-mini .sidebar-content .nessun-risultato {
  opacity: 0;
}
.sidebar-mini .sidebar-content .search-navbar .form-control {
  display: flex;
  width: 0;
  padding: .5rem .5rem;
}
.sidebar-mini .sidebar-content:hover .search-navbar {
  width: auto;
}
.sidebar-mini .sidebar-content:hover .nessun-risultato {
  opacity: 1;
}

.dark {
  --bs-body-color: #8A92A6;
  --bs-body-color-rgb: 138, 146, 166;
  --bs-body-bg: #151824;
  --bs-body-bg-rgb: 21, 24, 36;
  --bs-emphasis-color: #ffffff;
  --bs-emphasis-color-rgb: 255, 255, 255;
  --bs-secondary-color: rgba(138, 146, 166, 0.75);
  --bs-secondary-color-rgb: 138, 146, 166;
  --bs-secondary-bg: #6c757d;
  --bs-secondary-bg-rgb: 108, 117, 125;
  --bs-tertiary-color: rgba(138, 146, 166, 0.5);
  --bs-tertiary-color-rgb: 138, 146, 166;
  --bs-tertiary-bg: #9a9da0;
  --bs-tertiary-bg-rgb: 154, 157, 160;
  --bs-primary-tint-80: #d8ddfa;
  --bs-primary-bg-subtle: var(--bs-primary-shade-80);
}
.dark .bg-soft-primary {
  background-color: rgba(104, 126, 237, 0.1) !important;
}
.dark a.bg-soft-primary:hover,
.dark a.bg-soft-primary:focus,
.dark button.bg-soft-primary:hover,
.dark button.bg-soft-primary:focus {
  cursor: pointer;
  color: #1632bf;
  background-color: rgba(104, 126, 237, 0.15) !important;
}
.dark .bg-soft-secondary {
  background-color: rgba(125, 138, 183, 0.1) !important;
}
.dark a.bg-soft-secondary:hover,
.dark a.bg-soft-secondary:focus,
.dark button.bg-soft-secondary:hover,
.dark button.bg-soft-secondary:focus {
  cursor: pointer;
  color: #404c74;
  background-color: rgba(125, 138, 183, 0.15) !important;
}
.dark .bg-soft-success {
  background-color: rgba(33, 204, 106, 0.1) !important;
}
.dark a.bg-soft-success:hover,
.dark a.bg-soft-success:focus,
.dark button.bg-soft-success:hover,
.dark button.bg-soft-success:focus {
  cursor: pointer;
  color: #0f5e31;
  background-color: rgba(33, 204, 106, 0.15) !important;
}
.dark .bg-soft-info {
  background-color: rgba(9, 200, 211, 0.1) !important;
}
.dark a.bg-soft-info:hover,
.dark a.bg-soft-info:focus,
.dark button.bg-soft-info:hover,
.dark button.bg-soft-info:focus {
  cursor: pointer;
  color: #045459;
  background-color: rgba(9, 200, 211, 0.15) !important;
}
.dark .bg-soft-warning {
  background-color: rgba(244, 137, 75, 0.1) !important;
}
.dark a.bg-soft-warning:hover,
.dark a.bg-soft-warning:focus,
.dark button.bg-soft-warning:hover,
.dark button.bg-soft-warning:focus {
  cursor: pointer;
  color: #b44a0b;
  background-color: rgba(244, 137, 75, 0.15) !important;
}
.dark .bg-soft-danger {
  background-color: rgba(221, 73, 55, 0.1) !important;
}
.dark a.bg-soft-danger:hover,
.dark a.bg-soft-danger:focus,
.dark button.bg-soft-danger:hover,
.dark button.bg-soft-danger:focus {
  cursor: pointer;
  color: #7f2116;
  background-color: rgba(221, 73, 55, 0.15) !important;
}
.dark .bg-soft-light {
  background-color: rgba(251, 252, 252, 0.1) !important;
}
.dark a.bg-soft-light:hover,
.dark a.bg-soft-light:focus,
.dark button.bg-soft-light:hover,
.dark button.bg-soft-light:focus {
  cursor: pointer;
  color: #b2bcc5;
  background-color: rgba(251, 252, 252, 0.15) !important;
}
.dark .bg-soft-dark {
  background-color: rgba(91, 102, 113, 0.1) !important;
}
.dark a.bg-soft-dark:hover,
.dark a.bg-soft-dark:focus,
.dark button.bg-soft-dark:hover,
.dark button.bg-soft-dark:focus {
  cursor: pointer;
  color: #000;
  background-color: rgba(91, 102, 113, 0.15) !important;
}
.dark .bg-soft-gray {
  background-color: rgba(134, 142, 150, 0.1) !important;
}
.dark a.bg-soft-gray:hover,
.dark a.bg-soft-gray:focus,
.dark button.bg-soft-gray:hover,
.dark button.bg-soft-gray:focus {
  cursor: pointer;
  color: #494f54;
  background-color: rgba(134, 142, 150, 0.15) !important;
}
.dark .bg-soft-gray-dark {
  background-color: rgba(91, 102, 113, 0.1) !important;
}
.dark a.bg-soft-gray-dark:hover,
.dark a.bg-soft-gray-dark:focus,
.dark button.bg-soft-gray-dark:hover,
.dark button.bg-soft-gray-dark:focus {
  cursor: pointer;
  color: #121416;
  background-color: rgba(91, 102, 113, 0.15) !important;
}
.dark .text-primary {
  color: #3a57e8 !important;
}
.dark .text-secondary {
  color: #5c6ca5 !important;
}
.dark .text-success {
  color: #1aa053 !important;
}
.dark .text-info {
  color: #079aa2 !important;
}
.dark .text-warning {
  color: #f16a1b !important;
}
.dark .text-danger {
  color: #c03221 !important;
}
.dark .text-light {
  color: #dee2e6 !important;
}
.dark .text-dark {
  color: #212529 !important;
}
.dark .text-gray {
  color: #6c757d !important;
}
.dark .text-gray-dark {
  color: #343a40 !important;
}
.dark .iq-media-group .iq-icon-box-3 {
  background: #222738;
}
.dark .dark {
  color: #8a92a6;
  background-color: #151824 !important;
}
.dark h1,
.dark .h1,
.dark h2,
.dark .h2,
.dark h3,
.dark .h3,
.dark h4,
.dark .h4,
.dark h5,
.dark .h5,
.dark h6,
.dark .h6 {
  color: #8a92a6;
}
.dark .border {
  border-color: #30384f !important;
}
.dark .border-bottom {
  border-color: #30384f !important;
}
.dark .datepicker-picker {
  background-color: #222738;
}
.dark .datepicker-picker .datepicker-title {
  background-color: #222738;
}
.dark .datepicker-picker .datepicker-controls .button {
  background-color: #222738;
  color: #8a92a6;
}
.dark thead,
.dark tbody,
.dark tfoot,
.dark tr,
.dark td,
.dark th {
  border-color: #30384f;
  color: #8a92a6;
}
.dark .offcanvas {
  background-color: #222738;
  color: #8a92a6;
}
.dark button.close-btn-res {
  color: #dee2e6;
}
.dark hr.hr-horizontal {
  background-image: -webkit-gradient(linear, left top, right top, from(transparent), color-stop(rgba(255, 255, 255, 0.4)), to(transparent));
  background-image: -webkit-linear-gradient(left, transparent, rgba(255, 255, 255, 0.4), transparent);
  background-image: -o-linear-gradient(left, transparent, rgba(255, 255, 255, 0.4), transparent);
  background-image: linear-gradient(90deg, transparent, rgba(255, 255, 255, 0.4), transparent);
}
.dark hr.hr-vertial {
  background-image: -webkit-gradient(linear, left top, left bottom, from(transparent), color-stop(rgba(255, 255, 255, 0.4)), to(transparent));
  background-image: -webkit-linear-gradient(top, transparent, rgba(255, 255, 255, 0.4), transparent);
  background-image: -o-linear-gradient(top, transparent, rgba(255, 255, 255, 0.4), transparent);
  background-image: linear-gradient(180deg, transparent, rgba(255, 255, 255, 0.4), transparent);
}
.dark .custom-accordion .accordion-button {
  color: #adb3c1;
}
.dark .custom-accordion .accordion-item {
  background: #222738;
}
.dark .accordion .accordion-item {
  background-color: #151824;
  color: #fff;
}
.dark .accordion .accordion-item .accordion-header .accordion-button {
  background-color: #30384f;
  color: #fff;
}
.dark .accordion .accordion-item .accordion-header .accordion-button:not(.collapsed) {
  color: #fff;
  background-color: #30384f;
}
.dark .accordion .accordion-item .accordion-header .accordion-button:focus {
  -webkit-box-shadow: unset;
  box-shadow: unset;
}
.dark .btn-border {
  border: 2px solid #30384f;
}
.dark .btn-border:hover {
  border-color: #57658e;
}
.dark .btn-border.active {
  border-color: var(--bs-primary);
}
.dark .bd-aside .btn:hover,
.dark .bd-aside .btn:focus,
.dark .bd-aside .active,
.dark .bd-aside a:hover {
  color: #fff;
  background-color: #151824;
  -webkit-box-shadow: unset;
  box-shadow: unset;
}
.dark .btn-soft-primary {
  --bs-btn-color: #6179ed;
  --bs-btn-bg: rgba(58, 87, 232, 0.1);
  --bs-btn-border-color: rgba(58, 87, 232, 0);
  --bs-btn-hover-color: #7589ef;
  --bs-btn-hover-bg: rgba(58, 87, 232, 0.2);
  --bs-btn-hover-border-color: rgba(58, 87, 232, 0.2);
  --bs-btn-focus-shadow-rgb: 97, 121, 237;
  --bs-btn-active-color: #3a57e8;
  --bs-btn-active-bg: rgba(58, 87, 232, 0.3);
  --bs-btn-active-border-color: rgba(58, 87, 232, 0.2);
  --bs-btn-active-shadow: 0 0px 0px rgba(0, 0, 0, 0);
  --bs-btn-disabled-color: #000;
  --bs-btn-disabled-bg: #9dabf4;
  --bs-btn-disabled-border-color: rgba(58, 87, 232, 0);
  -webkit-box-shadow: unset;
  box-shadow: unset;
}
.dark .btn-soft-secondary {
  --bs-btn-color: #7d89b7;
  --bs-btn-bg: rgba(92, 108, 165, 0.1);
  --bs-btn-border-color: rgba(92, 108, 165, 0);
  --bs-btn-hover-color: #8d98c0;
  --bs-btn-hover-bg: rgba(92, 108, 165, 0.2);
  --bs-btn-hover-border-color: rgba(92, 108, 165, 0.2);
  --bs-btn-focus-shadow-rgb: 125, 137, 183;
  --bs-btn-active-color: #5c6ca5;
  --bs-btn-active-bg: rgba(92, 108, 165, 0.3);
  --bs-btn-active-border-color: rgba(92, 108, 165, 0.2);
  --bs-btn-active-shadow: 0 0px 0px rgba(0, 0, 0, 0);
  --bs-btn-disabled-color: #000;
  --bs-btn-disabled-bg: #aeb6d2;
  --bs-btn-disabled-border-color: rgba(92, 108, 165, 0);
  -webkit-box-shadow: unset;
  box-shadow: unset;
}
.dark .btn-soft-success {
  --bs-btn-color: #48b375;
  --bs-btn-bg: rgba(26, 160, 83, 0.1);
  --bs-btn-border-color: rgba(26, 160, 83, 0);
  --bs-btn-hover-color: #5fbd87;
  --bs-btn-hover-bg: rgba(26, 160, 83, 0.2);
  --bs-btn-hover-border-color: rgba(26, 160, 83, 0.2);
  --bs-btn-focus-shadow-rgb: 72, 179, 117;
  --bs-btn-active-color: #1aa053;
  --bs-btn-active-bg: rgba(26, 160, 83, 0.3);
  --bs-btn-active-border-color: rgba(26, 160, 83, 0.2);
  --bs-btn-active-shadow: 0 0px 0px rgba(0, 0, 0, 0);
  --bs-btn-disabled-color: #000;
  --bs-btn-disabled-bg: #8dd0a9;
  --bs-btn-disabled-border-color: rgba(26, 160, 83, 0);
  -webkit-box-shadow: unset;
  box-shadow: unset;
}
.dark .btn-soft-info {
  --bs-btn-color: #39aeb5;
  --bs-btn-bg: rgba(7, 154, 162, 0.1);
  --bs-btn-border-color: rgba(7, 154, 162, 0);
  --bs-btn-hover-color: #51b8be;
  --bs-btn-hover-bg: rgba(7, 154, 162, 0.2);
  --bs-btn-hover-border-color: rgba(7, 154, 162, 0.2);
  --bs-btn-focus-shadow-rgb: 57, 174, 181;
  --bs-btn-active-color: #079aa2;
  --bs-btn-active-bg: rgba(7, 154, 162, 0.3);
  --bs-btn-active-border-color: rgba(7, 154, 162, 0.2);
  --bs-btn-active-shadow: 0 0px 0px rgba(0, 0, 0, 0);
  --bs-btn-disabled-color: #000;
  --bs-btn-disabled-bg: #83cdd1;
  --bs-btn-disabled-border-color: rgba(7, 154, 162, 0);
  -webkit-box-shadow: unset;
  box-shadow: unset;
}
.dark .btn-soft-warning {
  --bs-btn-color: #f48849;
  --bs-btn-bg: rgba(241, 106, 27, 0.1);
  --bs-btn-border-color: rgba(241, 106, 27, 0);
  --bs-btn-hover-color: #f5975f;
  --bs-btn-hover-bg: rgba(241, 106, 27, 0.2);
  --bs-btn-hover-border-color: rgba(241, 106, 27, 0.2);
  --bs-btn-focus-shadow-rgb: 244, 136, 73;
  --bs-btn-active-color: #f16a1b;
  --bs-btn-active-bg: rgba(241, 106, 27, 0.3);
  --bs-btn-active-border-color: rgba(241, 106, 27, 0.2);
  --bs-btn-active-shadow: 0 0px 0px rgba(0, 0, 0, 0);
  --bs-btn-disabled-color: #000;
  --bs-btn-disabled-bg: #f8b58d;
  --bs-btn-disabled-border-color: rgba(241, 106, 27, 0);
  -webkit-box-shadow: unset;
  box-shadow: unset;
}
.dark .btn-soft-danger {
  --bs-btn-color: #cd5b4d;
  --bs-btn-bg: rgba(192, 50, 33, 0.1);
  --bs-btn-border-color: rgba(192, 50, 33, 0);
  --bs-btn-hover-color: #d37064;
  --bs-btn-hover-bg: rgba(192, 50, 33, 0.2);
  --bs-btn-hover-border-color: rgba(192, 50, 33, 0.2);
  --bs-btn-focus-shadow-rgb: 205, 91, 77;
  --bs-btn-active-color: #c03221;
  --bs-btn-active-bg: rgba(192, 50, 33, 0.3);
  --bs-btn-active-border-color: rgba(192, 50, 33, 0.2);
  --bs-btn-active-shadow: 0 0px 0px rgba(0, 0, 0, 0);
  --bs-btn-disabled-color: #000;
  --bs-btn-disabled-bg: #e09990;
  --bs-btn-disabled-border-color: rgba(192, 50, 33, 0);
  -webkit-box-shadow: unset;
  box-shadow: unset;
}
.dark .btn-soft-light {
  --bs-btn-color: #e5e8eb;
  --bs-btn-bg: rgba(222, 226, 230, 0.1);
  --bs-btn-border-color: rgba(222, 226, 230, 0);
  --bs-btn-hover-color: #e8ebee;
  --bs-btn-hover-bg: rgba(222, 226, 230, 0.2);
  --bs-btn-hover-border-color: rgba(222, 226, 230, 0.2);
  --bs-btn-focus-shadow-rgb: 229, 232, 235;
  --bs-btn-active-color: #dee2e6;
  --bs-btn-active-bg: rgba(222, 226, 230, 0.3);
  --bs-btn-active-border-color: rgba(222, 226, 230, 0.2);
  --bs-btn-active-shadow: 0 0px 0px rgba(0, 0, 0, 0);
  --bs-btn-disabled-color: #000;
  --bs-btn-disabled-bg: #eff1f3;
  --bs-btn-disabled-border-color: rgba(222, 226, 230, 0);
  -webkit-box-shadow: unset;
  box-shadow: unset;
}
.dark .btn-soft-dark {
  --bs-btn-color: #4d5154;
  --bs-btn-bg: rgba(33, 37, 41, 0.1);
  --bs-btn-border-color: rgba(33, 37, 41, 0);
  --bs-btn-hover-color: #646669;
  --bs-btn-hover-bg: rgba(33, 37, 41, 0.2);
  --bs-btn-hover-border-color: rgba(33, 37, 41, 0.2);
  --bs-btn-focus-shadow-rgb: 77, 81, 84;
  --bs-btn-active-color: #212529;
  --bs-btn-active-bg: rgba(33, 37, 41, 0.3);
  --bs-btn-active-border-color: rgba(33, 37, 41, 0.2);
  --bs-btn-active-shadow: 0 0px 0px rgba(0, 0, 0, 0);
  --bs-btn-disabled-color: #ffffff;
  --bs-btn-disabled-bg: #909294;
  --bs-btn-disabled-border-color: rgba(33, 37, 41, 0);
  -webkit-box-shadow: unset;
  box-shadow: unset;
}
.dark .btn-soft-gray {
  --bs-btn-color: #899197;
  --bs-btn-bg: rgba(108, 117, 125, 0.1);
  --bs-btn-border-color: rgba(108, 117, 125, 0);
  --bs-btn-hover-color: #989ea4;
  --bs-btn-hover-bg: rgba(108, 117, 125, 0.2);
  --bs-btn-hover-border-color: rgba(108, 117, 125, 0.2);
  --bs-btn-focus-shadow-rgb: 137, 145, 151;
  --bs-btn-active-color: #6c757d;
  --bs-btn-active-bg: rgba(108, 117, 125, 0.3);
  --bs-btn-active-border-color: rgba(108, 117, 125, 0.2);
  --bs-btn-active-shadow: 0 0px 0px rgba(0, 0, 0, 0);
  --bs-btn-disabled-color: #000;
  --bs-btn-disabled-bg: #b6babe;
  --bs-btn-disabled-border-color: rgba(108, 117, 125, 0);
  -webkit-box-shadow: unset;
  box-shadow: unset;
}
.dark .btn-soft-gray-dark {
  --bs-btn-color: #5d6166;
  --bs-btn-bg: rgba(52, 58, 64, 0.1);
  --bs-btn-border-color: rgba(52, 58, 64, 0);
  --bs-btn-hover-color: #717579;
  --bs-btn-hover-bg: rgba(52, 58, 64, 0.2);
  --bs-btn-hover-border-color: rgba(52, 58, 64, 0.2);
  --bs-btn-focus-shadow-rgb: 93, 97, 102;
  --bs-btn-active-color: #343a40;
  --bs-btn-active-bg: rgba(52, 58, 64, 0.3);
  --bs-btn-active-border-color: rgba(52, 58, 64, 0.2);
  --bs-btn-active-shadow: 0 0px 0px rgba(0, 0, 0, 0);
  --bs-btn-disabled-color: #000;
  --bs-btn-disabled-bg: #9a9da0;
  --bs-btn-disabled-border-color: rgba(52, 58, 64, 0);
  -webkit-box-shadow: unset;
  box-shadow: unset;
}
.dark .btn-close {
  -webkit-filter: invert(1);
  filter: invert(1);
}
.dark .boxed {
  background: var(--bs-primary) !important;
}
.dark .boxed .boxed-inner {
  background: #151824;
}
.dark .boxed-fancy {
  background: #151824;
}
.dark .boxed-fancy .boxed-inner {
  background: #151824;
}
.dark .dual-compact .nav-underline .nav-link:hover {
  color: var(--bs-primary);
}
.dark .dual-compact .nav-underline .active {
  color: #dee2e6;
}
.dark .dual-horizontal .nav {
  background-color: var(--bs-primary);
}
.dark .file-drop-zone {
  background-color: #222738;
}
.dark .file-drop-zone.drag-over {
  background-color: #3a57e833;
}
.dark .modal {
  --bs-modal-header-border-color: #30384f;
  --bs-modal-footer-border-color: #30384f;
}
.dark .modal-content {
  background-color: var(--bs-body-bg);
}
.dark .nav-link.nav-link-alt-colors.active {
  background-color: rgba(var(--bs-primary-rgb), 0.2);
}
.dark .sidebar.sidebar-default .nav-link:not(.static-item)[aria-expanded=true] {
  background-color: rgba(var(--bs-primary-rgb), 0.2);
}
.dark .sidebar {
  background-color: #222738;
}
.dark .sidebar .navbar-brand .logo-title {
  color: #fff;
}
.dark .sidebar .sidebar-header {
  border-color: #30384f;
}
.dark .sidebar-list .navbar-nav .nav-item .nav-link.static-item .default-icon {
  color: #dee2e6;
}
.dark .sidebar.sidebar-dark {
  background-color: #212529;
}
.dark .sidebar.sidebar-color {
  background-color: var(--bs-primary);
}
.dark .sidebar.sidebar-transparent {
  background-color: rgba(0, 0, 0, 0);
}
.dark .sidebar.sidebar-default .nav-link:not(.static-item):hover:not(.active):not([aria-expanded=true]) {
  background-color: rgba(var(--bs-primary-rgb), 0.2);
}
.dark .spinner-loader {
  background-color: rgba(0, 0, 0, 0.7);
}
.dark .footer {
  background-color: #222738 !important;
}
.dark .footer a {
  color: #8a92a6;
  -webkit-transition: all 400ms ease;
  -o-transition: all 400ms ease;
  transition: all 400ms ease;
}
.dark .footer a:hover {
  -webkit-transition: all 400ms ease;
  -o-transition: all 400ms ease;
  transition: all 400ms ease;
  color: #3a57e8;
}
.dark .nav {
  background: #222738;
}
.dark .nav .navbar-brand .logo-title {
  color: #fff;
}
.dark .iq-navbar {
  border-color: #222738;
  background-color: #222738;
}
.dark .iq-navbar .navbar-nav .nav-item .nav-link {
  color: #fff;
}
.dark .iq-navbar .navbar-nav .nav-item .nav-link:hover {
  color: #b9beca;
}
.dark .iq-navbar .navbar-nav .nav-item .nav-link.active {
  color: var(--bs-primary);
}
.dark .iq-navbar .navbar-brand .logo-title {
  color: #fff;
}
.dark .iq-navbar.nav-glass {
  background: -webkit-linear-gradient(330deg, rgba(96, 101, 138, 0.5) -8%, rgba(96, 101, 138, 0.01) 120%);
  background: -o-linear-gradient(330deg, rgba(96, 101, 138, 0.5) -8%, rgba(96, 101, 138, 0.01) 120%);
  background: linear-gradient(120deg, rgba(96, 101, 138, 0.5) -8%, rgba(96, 101, 138, 0.01) 120%);
  border-color: #30384f;
}
.dark .iq-navbar .dropdown .dropdown-menu.sub-drop li a {
  color: #8a92a6;
}
.dark .iq-navbar .dropdown .dropdown-menu.sub-drop .iq-sub-card {
  color: #8a92a6;
}
.dark .iq-navbar .dropdown .dropdown-menu.sub-drop .iq-sub-card:hover {
  background: #060917;
}
.dark .iq-navbar .dropdown .dropdown-menu.sub-drop .iq-sub-card:not(:last-child) {
  border-bottom: 1px solid #30384f;
}
.dark .list-group-item {
  background-color: unset;
}
@media (max-width: 991.98px) {
  .dark .iq-navbar .navbar-collapse:not(.offcanvas-collapse) {
    background: #222738;
  }
}
.dark .nav-tabs .nav-link.active {
  -webkit-box-shadow: unset;
  box-shadow: unset;
}
.dark .pagination {
  --bs-pagination-color: #8a92a6;
  --bs-pagination-bg: #222738;
  --bs-pagination-border-color: #30384f;
  --bs-pagination-hover-color: #3a57e8;
  --bs-pagination-hover-bg: #3a57e833;
  --bs-pagination-hover-border-color: #3a57e8;
  --bs-pagination-active-color: #fff;
  --bs-pagination-active-bg: #3a57e8;
  --bs-pagination-active-border-color: #3a57e8;
  --bs-pagination-disabled-color: #6c757d;
  --bs-pagination-disabled-bg: #222738;
  --bs-pagination-disabled-border-color: #30384f;
}
.dark .alert-primary {
  --bs-alert-color: #6179ed;
  --bs-alert-bg: #17235d;
  --bs-alert-border-color: #0c112e;
}
.dark .alert-primary .alert-link {
  color: #4e61be;
}
.dark .alert-primary .btn-close {
  -webkit-filter: invert(1) grayscale(100%) brightness(200%);
  filter: invert(1) grayscale(100%) brightness(200%);
}
.dark .alert-secondary {
  --bs-alert-color: #7d89b7;
  --bs-alert-bg: #252b42;
  --bs-alert-border-color: #121621;
}
.dark .alert-secondary .alert-link {
  color: #646e92;
}
.dark .alert-secondary .btn-close {
  -webkit-filter: invert(1) grayscale(100%) brightness(200%);
  filter: invert(1) grayscale(100%) brightness(200%);
}
.dark .alert-success {
  --bs-alert-color: #48b375;
  --bs-alert-bg: #0a4021;
  --bs-alert-border-color: #052011;
}
.dark .alert-success .alert-link {
  color: #3a8f5e;
}
.dark .alert-success .btn-close {
  -webkit-filter: invert(1) grayscale(100%) brightness(200%);
  filter: invert(1) grayscale(100%) brightness(200%);
}
.dark .alert-info {
  --bs-alert-color: #39aeb5;
  --bs-alert-bg: #033e41;
  --bs-alert-border-color: #011f20;
}
.dark .alert-info .alert-link {
  color: #2e8b91;
}
.dark .alert-info .btn-close {
  -webkit-filter: invert(1) grayscale(100%) brightness(200%);
  filter: invert(1) grayscale(100%) brightness(200%);
}
.dark .alert-warning {
  --bs-alert-color: #f48849;
  --bs-alert-bg: #602a0b;
  --bs-alert-border-color: #301505;
}
.dark .alert-warning .alert-link {
  color: #c36d3a;
}
.dark .alert-warning .btn-close {
  -webkit-filter: invert(1) grayscale(100%) brightness(200%);
  filter: invert(1) grayscale(100%) brightness(200%);
}
.dark .alert-danger {
  --bs-alert-color: #cd5b4d;
  --bs-alert-bg: #4d140d;
  --bs-alert-border-color: #260a07;
}
.dark .alert-danger .alert-link {
  color: #a4493e;
}
.dark .alert-danger .btn-close {
  -webkit-filter: invert(1) grayscale(100%) brightness(200%);
  filter: invert(1) grayscale(100%) brightness(200%);
}
.dark .alert-light {
  --bs-alert-color: #e5e8eb;
  --bs-alert-bg: #595a5c;
  --bs-alert-border-color: #2c2d2e;
}
.dark .alert-light .alert-link {
  color: #b7babc;
}
.dark .alert-light .btn-close {
  -webkit-filter: invert(1) grayscale(100%) brightness(200%);
  filter: invert(1) grayscale(100%) brightness(200%);
}
.dark .alert-dark {
  --bs-alert-color: #4d5154;
  --bs-alert-bg: #0d0f10;
  --bs-alert-border-color: #070708;
}
.dark .alert-dark .alert-link {
  color: #3e4143;
}
.dark .alert-dark .btn-close {
  -webkit-filter: invert(1) grayscale(100%) brightness(200%);
  filter: invert(1) grayscale(100%) brightness(200%);
}
.dark .alert-gray {
  --bs-alert-color: #899197;
  --bs-alert-bg: #2b2f32;
  --bs-alert-border-color: #161719;
}
.dark .alert-gray .alert-link {
  color: #6e7479;
}
.dark .alert-gray .btn-close {
  -webkit-filter: invert(1) grayscale(100%) brightness(200%);
  filter: invert(1) grayscale(100%) brightness(200%);
}
.dark .alert-gray-dark {
  --bs-alert-color: #5d6166;
  --bs-alert-bg: #15171a;
  --bs-alert-border-color: #0a0c0d;
}
.dark .alert-gray-dark .alert-link {
  color: #4a4e52;
}
.dark .alert-gray-dark .btn-close {
  -webkit-filter: invert(1) grayscale(100%) brightness(200%);
  filter: invert(1) grayscale(100%) brightness(200%);
}
.dark .alert-solid.alert-primary {
  --bs-alert-color: #fff;
  --bs-alert-bg: #3a57e8;
  --bs-alert-border-color: #3a57e8;
}
.dark .alert-solid.alert-primary .alert-link {
  color: #ccc;
}
.dark .alert-solid.alert-primary .btn-close {
  -webkit-filter: unset;
  filter: unset;
}
.dark .alert-solid.alert-secondary {
  --bs-alert-color: #fff;
  --bs-alert-bg: #5c6ca5;
  --bs-alert-border-color: #5c6ca5;
}
.dark .alert-solid.alert-secondary .alert-link {
  color: #ccc;
}
.dark .alert-solid.alert-secondary .btn-close {
  -webkit-filter: unset;
  filter: unset;
}
.dark .alert-solid.alert-success {
  --bs-alert-color: #fff;
  --bs-alert-bg: #1aa053;
  --bs-alert-border-color: #1aa053;
}
.dark .alert-solid.alert-success .alert-link {
  color: #ccc;
}
.dark .alert-solid.alert-success .btn-close {
  -webkit-filter: unset;
  filter: unset;
}
.dark .alert-solid.alert-info {
  --bs-alert-color: #fff;
  --bs-alert-bg: #079aa2;
  --bs-alert-border-color: #079aa2;
}
.dark .alert-solid.alert-info .alert-link {
  color: #ccc;
}
.dark .alert-solid.alert-info .btn-close {
  -webkit-filter: unset;
  filter: unset;
}
.dark .alert-solid.alert-warning {
  --bs-alert-color: #fff;
  --bs-alert-bg: #f16a1b;
  --bs-alert-border-color: #f16a1b;
}
.dark .alert-solid.alert-warning .alert-link {
  color: #ccc;
}
.dark .alert-solid.alert-warning .btn-close {
  -webkit-filter: unset;
  filter: unset;
}
.dark .alert-solid.alert-danger {
  --bs-alert-color: #fff;
  --bs-alert-bg: #c03221;
  --bs-alert-border-color: #c03221;
}
.dark .alert-solid.alert-danger .alert-link {
  color: #ccc;
}
.dark .alert-solid.alert-danger .btn-close {
  -webkit-filter: unset;
  filter: unset;
}
.dark .alert-solid.alert-light {
  --bs-alert-color: #fff;
  --bs-alert-bg: #dee2e6;
  --bs-alert-border-color: #dee2e6;
}
.dark .alert-solid.alert-light .alert-link {
  color: #ccc;
}
.dark .alert-solid.alert-light .btn-close {
  -webkit-filter: unset;
  filter: unset;
}
.dark .alert-solid.alert-dark {
  --bs-alert-color: #fff;
  --bs-alert-bg: #212529;
  --bs-alert-border-color: #212529;
}
.dark .alert-solid.alert-dark .alert-link {
  color: #ccc;
}
.dark .alert-solid.alert-dark .btn-close {
  -webkit-filter: unset;
  filter: unset;
}
.dark .alert-solid.alert-gray {
  --bs-alert-color: #fff;
  --bs-alert-bg: #6c757d;
  --bs-alert-border-color: #6c757d;
}
.dark .alert-solid.alert-gray .alert-link {
  color: #ccc;
}
.dark .alert-solid.alert-gray .btn-close {
  -webkit-filter: unset;
  filter: unset;
}
.dark .alert-solid.alert-gray-dark {
  --bs-alert-color: #fff;
  --bs-alert-bg: #343a40;
  --bs-alert-border-color: #343a40;
}
.dark .alert-solid.alert-gray-dark .alert-link {
  color: #ccc;
}
.dark .alert-solid.alert-gray-dark .btn-close {
  -webkit-filter: unset;
  filter: unset;
}
.dark .alert-left.alert-primary {
  border-color: #3a57e8;
}
.dark .alert-left.alert-secondary {
  border-color: #5c6ca5;
}
.dark .alert-left.alert-success {
  border-color: #1aa053;
}
.dark .alert-left.alert-info {
  border-color: #079aa2;
}
.dark .alert-left.alert-warning {
  border-color: #f16a1b;
}
.dark .alert-left.alert-danger {
  border-color: #c03221;
}
.dark .alert-left.alert-light {
  border-color: #dee2e6;
}
.dark .alert-left.alert-dark {
  border-color: #212529;
}
.dark .alert-left.alert-gray {
  border-color: #6c757d;
}
.dark .alert-left.alert-gray-dark {
  border-color: #343a40;
}
.dark .alert-top.alert-primary {
  border-color: #3a57e8;
}
.dark .alert-top.alert-secondary {
  border-color: #5c6ca5;
}
.dark .alert-top.alert-success {
  border-color: #1aa053;
}
.dark .alert-top.alert-info {
  border-color: #079aa2;
}
.dark .alert-top.alert-warning {
  border-color: #f16a1b;
}
.dark .alert-top.alert-danger {
  border-color: #c03221;
}
.dark .alert-top.alert-light {
  border-color: #dee2e6;
}
.dark .alert-top.alert-dark {
  border-color: #212529;
}
.dark .alert-top.alert-gray {
  border-color: #6c757d;
}
.dark .alert-top.alert-gray-dark {
  border-color: #343a40;
}
.dark .alert-right.alert-primary {
  border-color: #3a57e8;
}
.dark .alert-right.alert-secondary {
  border-color: #5c6ca5;
}
.dark .alert-right.alert-success {
  border-color: #1aa053;
}
.dark .alert-right.alert-info {
  border-color: #079aa2;
}
.dark .alert-right.alert-warning {
  border-color: #f16a1b;
}
.dark .alert-right.alert-danger {
  border-color: #c03221;
}
.dark .alert-right.alert-light {
  border-color: #dee2e6;
}
.dark .alert-right.alert-dark {
  border-color: #212529;
}
.dark .alert-right.alert-gray {
  border-color: #6c757d;
}
.dark .alert-right.alert-gray-dark {
  border-color: #343a40;
}
.dark .alert-bottom.alert-primary {
  border-color: #3a57e8;
}
.dark .alert-bottom.alert-secondary {
  border-color: #5c6ca5;
}
.dark .alert-bottom.alert-success {
  border-color: #1aa053;
}
.dark .alert-bottom.alert-info {
  border-color: #079aa2;
}
.dark .alert-bottom.alert-warning {
  border-color: #f16a1b;
}
.dark .alert-bottom.alert-danger {
  border-color: #c03221;
}
.dark .alert-bottom.alert-light {
  border-color: #dee2e6;
}
.dark .alert-bottom.alert-dark {
  border-color: #212529;
}
.dark .alert-bottom.alert-gray {
  border-color: #6c757d;
}
.dark .alert-bottom.alert-gray-dark {
  border-color: #343a40;
}
.dark .btn-si-no,
.dark .btn-si-no-scelta-azione,
.dark .btn-si-no-scelta-azione:hover,
.dark .btn-si-no-scelta-azione:focus {
  color: #8a92a6;
  background-color: #222738;
  border-color: #30384f;
}
.dark .card:not(.force-light) {
  background: #222738;
}
.dark .card .card-header,
.dark .card .card-footer {
  background-color: #222738;
  border-bottom-color: #30384f;
}
.dark .card-footer {
  border-top: 1px solid #30384f;
}
.dark .apexcharts-theme-light .apexcharts-tooltip {
  background: #222738;
  border: 1px solid #30384f;
}
.dark .apexcharts-theme-light .apexcharts-tooltip .apexcharts-tooltip-title {
  background: #222738;
  border: 1px solid #30384f;
}
.dark .apexcharts-theme-light .apexcharts-xaxistooltip {
  background: #222738;
  border: 1px solid #30384f;
}
.dark .apexcharts-theme-light .apexcharts-xaxistooltip .apexcharts-xaxistooltip-text {
  color: #8a92a6;
}
.dark .icon-box {
  border-color: #30384f;
  color: #5c6ca5;
}
.dark .icon-box .overlay {
  background-color: #151824;
}
.dark .icon-box:hover .overlay .btn {
  color: #fff;
}
.dark .form-control {
  color: #8a92a6;
  background-color: #222738;
  border-color: #30384f;
}
.dark .form-control.is-invalid {
  border-color: #c03221;
}
.dark .form-control.is-valid {
  border-color: #1aa053;
}
.dark .form-check-input {
  color: #8a92a6;
  background-color: #222738;
  border-color: #30384f;
}
.dark .form-select {
  color: #8a92a6;
  background-color: #222738;
  border-color: #30384f;
}
.dark .form-select.is-invalid {
  border-color: #c03221;
}
.dark .input-group-text {
  background-color: #222738;
  border-color: #30384f;
}
.dark .stepwizard-row a.btn {
  color: #8a92a6;
  background-color: #151824;
}
.dark #top-tabbar-vertical li a {
  color: #8a92a6;
  background-color: #151824;
}
.dark .custom-form-floating > .form-control:focus ~ label,
.dark .custom-form-floating > .form-control:not(:placeholder-shown) ~ label,
.dark .custom-form-floating > .form-select ~ label {
  background-color: #222738;
}
.dark #top-tab-list li a {
  color: #222738;
  background: #151824;
}
.dark #top-tab-list li a .iq-icon {
  background: #222738;
}
.dark #top-tab-list li a .iq-icon .svg-icon {
  color: #fff;
}
.dark #top-tab-list li.active a {
  background: var(--bs-primary);
  color: #fff;
}
.dark #top-tab-list li.active a .iq-icon {
  background: #fff;
}
.dark #top-tab-list li.active a .iq-icon .svg-icon {
  color: var(--bs-primary);
}
.dark #top-tab-list li.active.done a {
  background: #1aa053;
}
.dark #top-tab-list li.active.done a i {
  color: #1aa053;
}
.dark #top-tab-list li#confirm.active a {
  background: #1aa053;
}
.dark #top-tab-list li#confirm.active a i {
  color: #1aa053;
}
.dark .table thead tr th {
  background-color: #151824;
}
.dark .table tbody tr td {
  color: #dee2e6;
}
.dark .dropdown-menu {
  background-color: #151824;
  color: #8a92a6;
}
.dark .dropdown-menu .dropdown-item {
  color: #8a92a6;
}
.dark .dropdown-menu .dropdown-item:hover {
  color: #3a57e8;
  background-color: rgba(0, 0, 0, 0);
}
.dark .like-block span {
  color: #8a92a6;
}
.dark .dropdown > .dropdown-menu {
  background-color: #151824;
}
.dark .dropdown > .dropdown-menu > a {
  color: #8a92a6;
}
.dark .profile-media::before {
  border-color: #30384f;
}
.dark .profile-dots-pills {
  background-color: #222738;
}
.dark .profile-story-img {
  -webkit-filter: invert(100%);
  filter: invert(100%);
}
.dark .iq-timeline:before {
  background-color: #30384f;
}
.dark .iq-timeline li .timeline-dots {
  background-color: #151824 !important;
}
.dark .iq-timeline0:before {
  background-color: #30384f;
}
.dark .iq-timeline0 li .timeline-dots {
  background-color: #151824 !important;
}
.dark .iq-timeline0 li .timeline-dots1 {
  background-color: #151824;
}
.dark .credit-card-widget .primary-gradient-card {
  border-color: #000 !important;
}
.dark .credit-card-widget .primary-gradient-card {
  background: -webkit-linear-gradient(332.24deg, rgba(0, 0, 0, 0.5) -7.21%, rgba(0, 0, 0, 0.01) 118.08%);
  background: -o-linear-gradient(332.24deg, rgba(0, 0, 0, 0.5) -7.21%, rgba(0, 0, 0, 0.01) 118.08%);
  background: linear-gradient(117.76deg, rgba(0, 0, 0, 0.5) -7.21%, rgba(0, 0, 0, 0.01) 118.08%);
}
.dark .circle-progress-circle {
  stroke: #5c6ca5;
}
.dark .page-item.active .page-link {
  z-index: 3;
  color: #fff;
  background-color: #3a57e8;
  border-color: #5c6ca5;
}
.dark .page-item .page-link {
  background-color: #222738;
  border-color: #5c6ca5;
  color: #8a92a6;
}
.dark .page-item .page-link.disabled .page-link {
  background-color: #151824;
}
.dark .list-group .list-group-item {
  color: #8a92a6;
  border-color: #30384f;
}
.dark .bg-light {
  background: #60658a !important;
}
.dark .popover {
  background-color: #151824;
}
.dark .popover-header {
  background-color: #222738;
}
.dark .bs-popover-end > .popover-arrow::after,
.dark .bs-popover-auto[data-popper-placement^=right] > .popover-arrow::after {
  border-right-color: #151824;
}
.dark .bs-popover-top > .popover-arrow::after,
.dark .bs-popover-auto[data-popper-placement^=top] > .popover-arrow::after {
  border-top-color: #151824;
}
.dark .bs-popover-bottom > .popover-arrow::after,
.dark .bs-popover-auto[data-popper-placement^=bottom] > .popover-arrow::after {
  border-bottom-color: #151824;
}
.dark .bs-popover-start > .popover-arrow::after,
.dark .bs-popover-auto[data-popper-placement^=left] > .popover-arrow::after {
  border-left-color: #151824;
}
.dark .toast {
  background-color: #151824;
}
.dark .toast .toast-header {
  background-color: #222738;
}
.dark .card .card-body .iq-icon-box-2 {
  background: #151824;
}
.dark .pricing .table th {
  border-color: #30384f;
}
.dark .pricing .table th.bg-light {
  background: #151824 !important;
}
.dark .pricing .table thead tr {
  border-color: #30384f;
}
.dark .pricing .table tr {
  border-color: #30384f;
}
.dark .prc-box {
  background-color: #23348b;
}
.dark .type::before {
  border-left-color: #17235d;
}
.dark .type::after {
  border-right-color: #17235d;
}
.dark .iq-single-card.bg-light {
  background: #60658a !important;
}
.dark .line-around {
  border-color: #30384f;
}
.dark .line-around .line-around-1 {
  background: #151824;
}
.dark .login-content .bg-white {
  background: #222738 !important;
}
.dark .apexcharts-svg .apexcharts-yaxis-texts-g text {
  fill: #5c6ca5;
}
.dark .apexcharts-svg .apexcharts-xaxis-texts-g text {
  fill: #5c6ca5;
}
.dark .apexcharts-svg line {
  stroke: #5c6ca5;
}
.dark .apexcharts-svg .apexcharts-track path {
  stroke: #5c6ca5;
}
.dark .fc-unthemed .fc-toolbar .fc-button {
  text-transform: capitalize;
}
.dark .fc-unthemed th,
.dark .fc-unthemed td,
.dark .fc-unthemed thead,
.dark .fc-unthemed tbody,
.dark .fc-unthemed .fc-divider,
.dark .fc-unthemed .fc-row,
.dark .fc-unthemed .fc-content,
.dark .fc-unthemed .fc-popover,
.dark .fc-unthemed .fc-list-view,
.dark .fc-unthemed .fc-list-heading td {
  border-color: #30384f !important;
}
.dark .fc-other-month.fc-past,
.dark .fc-other-month.fc-future {
  background: #131620;
}
.dark .fc-unthemed td.fc-today {
  background: rgba(58, 87, 232, 0.1) !important;
}
.dark .boxed {
  background: #3a57e8 !important;
}
.dark .boxed .boxed-inner {
  background: #151824;
}
.dark .boxed-fancy {
  background: #151824;
}
.dark .boxed-fancy .boxed-inner {
  background: #151824;
}
